<?xml version="1.0" encoding="UTF-8"?>
<instructionals module="QtOpenAPI">
    <examples>
        <example docUrl="qthelp://org.qt-project.qtopenapi.6111/qtopenapi/qtopenapi-chatgptclient-example.html" imageUrl="qthelp://org.qt-project.qtopenapi.6111/qtopenapi/images/entry_page.webp" name="ChatGPT RESTful API Client" projectPath="openapi/chatgptclient/CMakeLists.txt">
            <description><![CDATA[Example of how to use the OpenAPI generator to create a RESTful API client for communicating with OpenAI models.]]></description>
            <tags> http, network, openapi,openapi,quick</tags>
            <fileToOpen>openapi/chatgptclient/main.cpp</fileToOpen>
            <fileToOpen mainFile="true">openapi/chatgptclient/Main.qml</fileToOpen>
            <meta>
                <entry name="category">Networking</entry>
            </meta>
        </example>
        <example docUrl="qthelp://org.qt-project.qtopenapi.6111/qtopenapi/qtopenapi-colorpalette-example.html" imageUrl="qthelp://org.qt-project.qtopenapi.6111/qtopenapi/images/colorpalette_listing.webp" name="ColorPalette RESTful API client" projectPath="openapi/colorpalette/CMakeLists.txt">
            <description><![CDATA[Example of how to generate the OpenAPI client code and integrate it into an application.]]></description>
            <tags> http, network, openapi,openapi,quick</tags>
            <fileToOpen>openapi/colorpalette/main.cpp</fileToOpen>
            <fileToOpen mainFile="true">openapi/colorpalette/ColorPalette/Main.qml</fileToOpen>
            <meta>
                <entry name="category">Networking</entry>
            </meta>
        </example>
    </examples>
</instructionals>
